#ifndef FPED
#define FPED
#include <cstdio>
#include <cstdlib>
#include <string>
#include <errno.h>
#include <ctime>
#ifndef _WIN32
#include <unistd.h>
#include <semaphore.h>
#include <speech-dispatcher/libspeechd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <dirent.h>
#include <wait.h>
#include <signal.h>
#endif
#include <cmath>
#include <SFML/Graphics.hpp>
#include <SFML/System.hpp>
#include <audio.h>
#include <system.h>
#include <logger.h>
#include <helpers.h>
class Ped
{
public:
	enum PED_TYPE { CAT, COW, DOG, HUMAN };
	Ped();
	~Ped(void);
		void installAudio(Audio &a);
void launchThread();
		void terminateThread();
		void createRandomPedsAt3DCoords(int c, float x, float y, float z);
	void del(int index);
	void setCoords(int index, float &x, float &y, float &z);
	int getSize();
void setHealth(int index, int h);
int getHealth(int index);
	void update(void);
	void goToCoords(int pedindex, float x, float y, float z, PED_TYPE t);
PED_TYPE getType(int index);
Vector3D getCoords(int index);
private:
	struct Pedd
	{
		sf::Vector2f speed;
		bool big;
		float x;
		float y;
		float z;
PED_TYPE t;
	int health;
	sf::Clock clk[2];
	sf::Time tim[2];
	int jump;
	int interval;
	bool missionflag;
	};
	vector <Pedd> a_ped;
	Audio *audio;
sf::Clock clock[1024];
sf::Time czas[1024];
	sf::Thread thr;
	};
#endif
